SystemOrganization addCategory: #ConfigurationOfXPath!

Object subclass: #ConfigurationOfXPath
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfXPath'!

!ConfigurationOfXPath commentStamp: 'monty 3/1/2015 16:19' prior: 0!
ConfigurationOfXPath load!

!ConfigurationOfXPath class methodsFor: 'development support' stamp: 'HernanMoralesDurand 9/6/2013 21:14'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfXPath class methodsFor: 'private' stamp: 'HernanMoralesDurand 9/6/2013 21:14'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfXPath class methodsFor: 'catalog' stamp: 'StephanEggermont 3/17/2015 15:19'!
catalogChangeLog
    		
     ^ '- Development moved to Baseline 1.0.6, for ci build on pharo-contribution ci.
- Version 1.0 migrated to Pharo 3.0'

! !

!ConfigurationOfXPath class methodsFor: 'catalog' stamp: 'HernanMoralesDurand 1/31/2014 12:28'!
catalogContactInfo
	^ 'hernan.morales@gmail.com'! !

!ConfigurationOfXPath class methodsFor: 'catalog' stamp: 'monty 2/12/2015 01:02'!
catalogDescription

	^ 'An XPath library for Pharo, Squeak, and Gemstone leveraging the XML parsing capabilities of XMLParser. Supports XPath 1.0 syntax with extensions.'! !

!ConfigurationOfXPath class methodsFor: 'catalog' stamp: 'monty 4/12/2015 02:29'!
catalogKeyClassesAndExample

	^ ' ==XPath==, ==XPathContext==, and ==XPathNodeSet== are the main public classes of the package.

The following example retrieves the language types as found in the UNICODE Common Locale Data Repository (CDLR) 
[[[ 
| doc |
doc := (XMLDOMParser parseURL: ''http://unicode.org/repos/cldr/trunk/common/supplemental/supplementalData.xml'').

"get all language type attribute nodes"
(XPath for: ''//languageData/language/@type'') in: doc.

"abbreviated form"
doc // ''languageData'' / ''language'' @ ''type''
]]]'! !

!ConfigurationOfXPath class methodsFor: 'catalog' stamp: 'monty 4/7/2015 09:38'!
catalogKeywords

	^ #(XPath XML DOM HTML XHTML parser web markup document query )
					! !

!ConfigurationOfXPath class methodsFor: 'private' stamp: 'HernanMoralesDurand 9/6/2013 21:14'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfXPath class methodsFor: 'private' stamp: 'HernanMoralesDurand 9/6/2013 21:14'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfXPath class methodsFor: 'metacello tool support' stamp: 'HernanMoralesDurand 9/6/2013 21:14'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfXPath class methodsFor: 'loading' stamp: 'HernanMoralesDurand 9/6/2013 21:14'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfXPath class methodsFor: 'loading' stamp: 'HernanMoralesDurand 9/6/2013 21:14'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfXPath class methodsFor: 'loading' stamp: 'HernanMoralesDurand 9/6/2013 21:14'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfXPath class methodsFor: 'accessing' stamp: 'HernanMoralesDurand 9/6/2013 21:14'!
project

	^self new project! !

!ConfigurationOfXPath class methodsFor: 'development support' stamp: 'HernanMoralesDurand 9/6/2013 21:14'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfXPath methodsFor: 'baselines' stamp: 'monty 2/9/2015 23:59'!
baseline101: spec
	<version: '1.0.1-baseline' imports: #('1.0-baseline')>

	spec for: #gemstone do: [
		spec blessing: #baseline.
		spec
			package: 'XPath-GemstoneCompatibility'
			with: 'XPath-GemstoneCompatibility-monty.2'. ].! !

!ConfigurationOfXPath methodsFor: 'baselines' stamp: 'monty 3/2/2015 14:40'!
baseline105: spec
	<version: '1.0.5-baseline' imports: #('1.0-baseline')>

	spec for: #gemstone do: [
		spec blessing: #baseline.
		spec
			package: 'XPath-GemstoneCompatibility'
			with: 'XPath-GemstoneCompatibility-monty.3'. ].! !

!ConfigurationOfXPath methodsFor: 'baselines' stamp: 'monty 3/3/2015 08:54'!
baseline106: spec
	<version: '1.0.6-baseline' imports: #('1.0-baseline')>

	spec for: #gemstone do: [
		spec blessing: #baseline.
		spec
			package: 'XPath-GemstoneCompatibility'
			with: 'XPath-GemstoneCompatibility-monty.4'. ].! !

!ConfigurationOfXPath methodsFor: 'baselines' stamp: 'monty 2/11/2015 01:20'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://www.smalltalkhub.com/mc/PharoExtras/XPath/main'.
		spec project: 'XMLParser' with: [ 
			spec
				className: 'ConfigurationOfXMLParser';
				loads: #('default');	
				versionString: #'stable';
				repository: 'http://www.smalltalkhub.com/mc/PharoExtras/XMLParser/main' ].
		spec package: 'XPath-Core' with: [ spec requires: 'XMLParser' ].
		spec package: 'XPath-Tests' with: [ spec requires: 'XPath-Core' ].

		spec group: 'default' with: #('Core' 'Tests').
		spec group: 'Core' with: #('XPath-Core').
		spec group: 'Tests' with: #('XPath-Tests'). ].

	"load gemstone methods"
	spec for: #'gemstone' do: [
		spec
			package: 'XPath-Core'
			with: [ spec includes: 'XPath-GemstoneCompatibility' ].
		spec
			package: 'XPath-GemstoneCompatibility'
			with: [ spec requires: 'XPath-Core' ]. ].! !

!ConfigurationOfXPath methodsFor: 'baselines' stamp: 'monty 4/7/2015 09:36'!
baseline134: spec
	<version: '1.3.4-baseline' imports: #('1.0-baseline')>

	spec for: #gemstone do: [
		spec blessing: #baseline.
		spec
			package: 'XPath-GemstoneCompatibility'
			with: 'XPath-GemstoneCompatibility-monty.5'. ].! !

!ConfigurationOfXPath methodsFor: 'accessing' stamp: 'HernanMoralesDurand 9/6/2013 21:14'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfXPath methodsFor: 'symbolic versions' stamp: 'monty 4/7/2015 09:37'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.3.4-baseline'.! !

!ConfigurationOfXPath methodsFor: 'accessing' stamp: 'HernanMoralesDurand 9/6/2013 21:14'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfXPath methodsFor: 'symbolic versions' stamp: 'monty 4/13/2015 06:11'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.3.6'.
! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 2/11/2015 01:20'!
version101: spec 
        <version: '1.0.1' imports: #('1.0.1-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.8'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.4'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 2/12/2015 01:02'!
version102: spec 
        <version: '1.0.2' imports: #('1.0.1-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.9'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.5'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 2/13/2015 01:08'!
version103: spec 
        <version: '1.0.3' imports: #('1.0.1-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.10'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.5'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 2/13/2015 22:30'!
version104: spec 
        <version: '1.0.4' imports: #('1.0.1-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.11'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.6'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/2/2015 17:49'!
version105: spec 
        <version: '1.0.5' imports: #('1.0.5-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.12'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.7'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/3/2015 18:01'!
version106: spec 
        <version: '1.0.6' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.13'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.8'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/5/2015 08:20'!
version107: spec 
        <version: '1.0.7' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.14'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.9'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/10/2015 09:09'!
version108: spec 
        <version: '1.0.8' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.15'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.10'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/10/2015 15:12'!
version109: spec 
        <version: '1.0.9' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.16'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.11'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'HernanMoralesDurand 1/31/2014 12:31'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: ''.
		spec author: 'HernanMoralesDurand'.

		spec timestamp: '31/1/2014 21:15'.
		spec package: 'XPath' with: 'XPath-HernanMoralesDurand.12'. ].
! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/11/2015 12:22'!
version110: spec 
        <version: '1.1.0' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.17'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.12'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/12/2015 19:24'!
version111: spec 
        <version: '1.1.1' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.18'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.13'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/12/2015 20:43'!
version112: spec 
        <version: '1.1.2' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.19'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.14'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/13/2015 22:33'!
version113: spec 
        <version: '1.1.3' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.20'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.15'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/15/2015 22:07'!
version114: spec 
        <version: '1.1.4' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.21'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.16'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/17/2015 18:46'!
version115: spec 
        <version: '1.1.5' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.22'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.17'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/19/2015 21:49'!
version116: spec 
        <version: '1.1.6' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.23'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.18'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/21/2015 17:35'!
version117: spec 
        <version: '1.1.7' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.24'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.19'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/22/2015 02:57'!
version118: spec 
        <version: '1.1.8' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.25'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.19'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/25/2015 04:15'!
version119: spec 
        <version: '1.1.9' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.26'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.20'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/25/2015 20:38'!
version120: spec 
        <version: '1.2.0' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.27'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.21'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/26/2015 00:02'!
version121: spec 
        <version: '1.2.1' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.28'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.22'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/27/2015 00:15'!
version122: spec 
        <version: '1.2.2' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.29'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.23'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/27/2015 20:35'!
version123: spec 
        <version: '1.2.3' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.30'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.24'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/27/2015 21:52'!
version124: spec 
        <version: '1.2.4' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.31'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.25'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 3/31/2015 21:18'!
version125: spec 
        <version: '1.2.5' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.32'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.26'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 4/1/2015 00:12'!
version126: spec 
        <version: '1.2.6' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.33'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.27'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 4/1/2015 09:21'!
version127: spec 
        <version: '1.2.7' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.34'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.27'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 4/1/2015 20:25'!
version128: spec 
        <version: '1.2.8' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.35'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.28'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 4/2/2015 00:03'!
version129: spec 
        <version: '1.2.9' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.36'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.29'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 4/2/2015 08:27'!
version130: spec 
        <version: '1.3.0' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.37'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.30'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 4/2/2015 09:05'!
version131: spec 
        <version: '1.3.1' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.38'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.31'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 4/4/2015 07:35'!
version132: spec 
        <version: '1.3.2' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.39'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.32'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 4/6/2015 09:38'!
version133: spec 
        <version: '1.3.3' imports: #('1.0.6-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.40'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.32'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 4/7/2015 20:35'!
version134: spec 
        <version: '1.3.4' imports: #('1.3.4-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.41'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.33'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 4/12/2015 01:28'!
version135: spec 
        <version: '1.3.5' imports: #('1.3.4-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.42'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.34'.
                ].! !

!ConfigurationOfXPath methodsFor: 'versions' stamp: 'monty 4/13/2015 06:10'!
version136: spec 
        <version: '1.3.6' imports: #('1.3.4-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XPath-Core' with: 'XPath-Core-monty.43'.
			spec package: 'XPath-Tests' with: 'XPath-Tests-monty.35'.
                ].! !
